# Python: module skeinforge_application.skeinforge_plugins.meta_plugins.description

skeinforge_application.skeinforge_plugins.meta_plugins.description ($Date: 2008/21/04 $) | index /home/enrique/Desktop/backup/babbleold/script/reprap/fabmetheus/skeinforge_application/skeinforge_plugins/meta_plugins/description.py

Previous / Next / Contents

`
Description is a script to store a description of the profile.
Settings
Description Text
Example
`

## Settings

### Description Text

Default is 'Write your profile description here.'
The suggested format is a description, followed by a link to a profile post or web page.

## Example

Example of using description follows below.
> python description.py
This brings up the description dialog.

Previous / Next / Contents

Modules

``

__init__ | fabmetheus_utilities.settings | skeinforge_application.skeinforge_utilities.skeinforge_profile |

Classes

``

DescriptionRepository

class DescriptionRepository
`` | `A class to handle the description settings.`

Methods defined here:

__init__(self)
  `Set the default settings, execute title & settings fileName.`

Functions

``

getNewRepository()
  `Get new repository.`

main()
  `Display the file or directory dialog.`

Data
`` |  | __author__ = 'Enrique Perez (perez_enrique@yahoo.com)' __date__ = '$Date: 2008/21/04 $' __license__ = 'GNU Affero General Public License http://www.gnu.org/licenses/agpl.html' absolute_import = _Feature((2, 5, 0, 'alpha', 1), (2, 7, 0, 'alpha', 0), 16384)

Author
`` |  | Enrique Perez (perez_enrique@yahoo.com)